Bug 176489 - rhn-applet-2.1.17-3 exception
rhn-applet-2.1.17-3 exception
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-23 09:23 EST by H.J. Lu
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:32:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Yum and up2date configuration (5.10 KB, application/octet-stream)
2005-12-23 09:24 EST, H.J. Lu
no flags Details

  None (edit)
Description H.J. Lu 2005-12-23 09:23:03 EST
I got

Exception type exceptions.TypeError

Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/rhn_applet/rhn_applet.py", line 582, in refresh
    self.model.refresh(force)
  File "/usr/share/rhn/rhn_applet/rhn_applet_model.py", line 447, in refresh
    source.refresh(force)
  File "/usr/share/rhn/rhn_applet/rhn_applet_source.py", line 35, in refresh
    self._do_refresh()
  File "/usr/share/rhn/rhn_applet/rhn_applet_rpc.py", line 190, in _do_refresh
    server = self.create_server()
  File "/usr/share/rhn/rhn_applet/rhn_applet_rpc.py", line 80, in create_server
    s = apply(rpclib.Server, [], options)
  File "/usr/lib/python2.4/site-packages/rhn/rpclib.py", line 148, in __init__
    type, uri = urllib.splittype(uri)
  File "/usr/lib/python2.4/urllib.py", line 900, in splittype
    match = _typeprog.match(url)
TypeError: expected string or buffer

when I clicked the button which had `?`.
Comment 1 H.J. Lu 2005-12-23 09:24:35 EST
Created attachment 122560 [details]
Yum and up2date configuration

These are yum and up2date configuration files.
Comment 2 John Thacker 2006-10-29 17:36:01 EST
rhn-applet was replaced by pirut and put (package pirut) as of FC5.  Only FC5
and FC6 are currently fully supported; FC3 and FC4 are supported for security
fixes only.  If this bug occurs in FC3 or FC4 and is a security bug, please
change the product to Fedora Extras and the version to match.  If you can verify
that the bug exists in RHEL as well, please change the product and version
appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Note that rhn-applet may still be present on upgraded systems, and in general
will not function correctly on such systems.  That is not a bug; anaconda does
not generally erase removed packages upon upgrades.
Comment 3 John Thacker 2006-11-05 11:32:54 EST
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.